diff --git a/NetworkPkg/Dhcp6Dxe/Dhcp6Io.c b/NetworkPkg/Dhcp6Dxe/Dhcp6Io.c
index c20876d..dcd01e6 100644
--- a/NetworkPkg/Dhcp6Dxe/Dhcp6Io.c
+++ b/NetworkPkg/Dhcp6Dxe/Dhcp6Io.c
@@ -1413,7 +1392,7 @@ Dhcp6SendReleaseMsg (
     return EFI_DEVICE_ERROR;
   }
 
-  ServerId = (EFI_DHCP6_DUID *) (Option + 2);
+  ServerId = (EFI_DHCP6_DUID *)(Option + 2);
 
   //
   // Create the Dhcp6 packet and initialize common fields.
@@ -1462,7 +1441,7 @@ Dhcp6SendReleaseMsg (
   //
   // Determine the size/length of packet
   //
-  Packet->Length += (UINT32) (Cursor - Packet->Dhcp6.Option);
+  Packet->Length += (UINT32)(Cursor - Packet->Dhcp6.Option);
   ASSERT (Packet->Size > Packet->Length + 8);
 
   //
@@ -1494,7 +1473,6 @@ Dhcp6SendReleaseMsg (
   return Dhcp6EnqueueRetry (Instance, Packet, Elapsed, NULL);
 }
 
-
 /**
   Create the renew/rebind message and send it.
 
@@ -1510,33 +1488,33 @@ Dhcp6SendReleaseMsg (
 **/
 EFI_STATUS
 Dhcp6SendRenewRebindMsg (
-  IN DHCP6_INSTANCE         *Instance,
-  IN BOOLEAN                RebindRequest
+  IN DHCP6_INSTANCE  *Instance,
+  IN BOOLEAN         RebindRequest
   )
 {
-  EFI_STATUS                Status;
-  EFI_DHCP6_PACKET          *Packet;
-  EFI_DHCP6_PACKET          *LastReply;
-  EFI_DHCP6_PACKET_OPTION   *UserOpt;
-  EFI_DHCP6_DUID            *ClientId;
-  EFI_DHCP6_DUID            *ServerId;
-  EFI_DHCP6_STATE           State;
-  EFI_DHCP6_EVENT           Event;
-  DHCP6_SERVICE             *Service;
-  UINT8                     *Option;
-  UINT8                     *Cursor;
-  UINT16                    *Elapsed;
-  UINT32                    UserLen;
-  UINTN                     Index;
-  UINT16                    Length;
-
-  ASSERT(Instance->Config);
-  ASSERT(Instance->IaCb.Ia);
+  EFI_STATUS               Status;
+  EFI_DHCP6_PACKET         *Packet;
+  EFI_DHCP6_PACKET         *LastReply;
+  EFI_DHCP6_PACKET_OPTION  *UserOpt;
+  EFI_DHCP6_DUID           *ClientId;
+  EFI_DHCP6_DUID           *ServerId;
+  EFI_DHCP6_STATE          State;
+  EFI_DHCP6_EVENT          Event;
+  DHCP6_SERVICE            *Service;
+  UINT8                    *Option;
+  UINT8                    *Cursor;
+  UINT16                   *Elapsed;
+  UINT32                   UserLen;
+  UINTN                    Index;
+  UINT16                   Length;
 
-  Service   = Instance->Service;
-  ClientId  = Service->ClientId;
+  ASSERT (Instance->Config);
+  ASSERT (Instance->IaCb.Ia);
 
-  ASSERT(ClientId);
+  Service  = Instance->Service;
+  ClientId = Service->ClientId;
+
+  ASSERT (ClientId);
 
   //
   // Calculate the added length of customized option list.
@@ -1604,7 +1582,7 @@ Dhcp6SendRenewRebindMsg (
       return EFI_DEVICE_ERROR;
     }
 
-    ServerId = (EFI_DHCP6_DUID *) (Option + 2);
+    ServerId = (EFI_DHCP6_DUID *)(Option + 2);
 
     Cursor = Dhcp6AppendOption (
                Cursor,
@@ -1618,9 +1596,8 @@ Dhcp6SendRenewRebindMsg (
   // Append user-defined when configurate Dhcp6 service.
   //
   for (Index = 0; Index < Instance->Config->OptionCount; Index++) {
-
     UserOpt = Instance->Config->OptionList[Index];
-    Cursor  = Dhcp6AppendOption(
+    Cursor  = Dhcp6AppendOption (
                 Cursor,
                 UserOpt->OpCode,
                 UserOpt->OpLen,
@@ -1631,14 +1608,14 @@ Dhcp6SendRenewRebindMsg (
   //
   // Determine the size/length of packet.
   //
-  Packet->Length += (UINT32) (Cursor - Packet->Dhcp6.Option);
+  Packet->Length += (UINT32)(Cursor - Packet->Dhcp6.Option);
   ASSERT (Packet->Size > Packet->Length + 8);
 
   //
   // Callback to user with the packet to be sent and check the user's feedback.
   //
-  State  = (RebindRequest) ? Dhcp6Rebinding : Dhcp6Renewing;
-  Event  = (RebindRequest) ? Dhcp6EnterRebinding : Dhcp6EnterRenewing;
+  State = (RebindRequest) ? Dhcp6Rebinding : Dhcp6Renewing;
+  Event = (RebindRequest) ? Dhcp6EnterRebinding : Dhcp6EnterRenewing;
 
   Status = Dhcp6CallbackUser (Instance, Event, &Packet);
 
@@ -1707,19 +1684,19 @@ Dhcp6StartInfoRequest (
   IN VOID                      *CallbackContext OPTIONAL
   )
 {
-  EFI_STATUS                   Status;
-  DHCP6_INF_CB                 *InfCb;
-  DHCP6_SERVICE                *Service;
-  EFI_TPL                      OldTpl;
+  EFI_STATUS     Status;
+  DHCP6_INF_CB   *InfCb;
+  DHCP6_SERVICE  *Service;
+  EFI_TPL        OldTpl;
 
-  Service  = Instance->Service;
+  Service = Instance->Service;
 
-  OldTpl = gBS->RaiseTPL (TPL_CALLBACK);
+  OldTpl           = gBS->RaiseTPL (TPL_CALLBACK);
   Instance->UdpSts = EFI_ALREADY_STARTED;
   //
   // Create and initialize the control block for the info-request.
   //
-  InfCb = AllocateZeroPool (sizeof(DHCP6_INF_CB));
+  InfCb = AllocateZeroPool (sizeof (DHCP6_INF_CB));
 
   if (InfCb == NULL) {
     gBS->RestoreTPL (OldTpl);
@@ -1752,7 +1729,7 @@ Dhcp6StartInfoRequest (
   //
   // Register receive callback for the stateless exchange process.
   //
-  Status = UdpIoRecvDatagram(
+  Status = UdpIoRecvDatagram (
              Service->UdpIo,
              Dhcp6ReceivePacket,
              Service,
@@ -1803,24 +1780,24 @@ Dhcp6SendInfoRequestMsg (
   IN EFI_DHCP6_RETRANSMISSION  *Retransmission
   )
 {
-  EFI_STATUS                   Status;
-  EFI_DHCP6_PACKET             *Packet;
-  EFI_DHCP6_PACKET_OPTION      *UserOpt;
-  EFI_DHCP6_DUID               *ClientId;
-  DHCP6_SERVICE                *Service;
-  UINT8                        *Cursor;
-  UINT16                       *Elapsed;
-  UINT32                       UserLen;
-  UINTN                        Index;
-  UINT16                       Length;
-
-  ASSERT(OptionRequest);
+  EFI_STATUS               Status;
+  EFI_DHCP6_PACKET         *Packet;
+  EFI_DHCP6_PACKET_OPTION  *UserOpt;
+  EFI_DHCP6_DUID           *ClientId;
+  DHCP6_SERVICE            *Service;
+  UINT8                    *Cursor;
+  UINT16                   *Elapsed;
+  UINT32                   UserLen;
+  UINTN                    Index;
+  UINT16                   Length;
+
+  ASSERT (OptionRequest);
 
   Service  = Instance->Service;
   ClientId = Service->ClientId;
   UserLen  = NTOHS (OptionRequest->OpLen) + 4;
 
-  ASSERT(ClientId);
+  ASSERT (ClientId);
 
   //
   // Calculate the added length of customized option list.
@@ -1842,7 +1819,7 @@ Dhcp6SendInfoRequestMsg (
   Packet->Dhcp6.Header.MessageType   = Dhcp6MsgInfoRequest;
   Packet->Dhcp6.Header.TransactionId = Service->Xid++;
 
-  InfCb->Xid                         = Packet->Dhcp6.Header.TransactionId;
+  InfCb->Xid = Packet->Dhcp6.Header.TransactionId;
 
   //
   // Assembly Dhcp6 options for info-request message.
@@ -1876,9 +1853,8 @@ Dhcp6SendInfoRequestMsg (
   // Append user-defined when configurate Dhcp6 service.
   //
   for (Index = 0; Index < OptionCount; Index++) {
-
     UserOpt = OptionList[Index];
-    Cursor  = Dhcp6AppendOption(
+    Cursor  = Dhcp6AppendOption (
                 Cursor,
                 UserOpt->OpCode,
                 UserOpt->OpLen,
@@ -1889,7 +1865,7 @@ Dhcp6SendInfoRequestMsg (
   //
   // Determine the size/length of packet.
   //
-  Packet->Length += (UINT32) (Cursor - Packet->Dhcp6.Option);
+  Packet->Length += (UINT32)(Cursor - Packet->Dhcp6.Option);
   ASSERT (Packet->Size > Packet->Length + 8);
 
   //
@@ -1913,7 +1889,6 @@ Dhcp6SendInfoRequestMsg (
   return Dhcp6EnqueueRetry (Instance, Packet, Elapsed, Retransmission);
 }
 
-
 /**
   Create the Confirm message and send it.
 
@@ -1927,19 +1902,19 @@ Dhcp6SendInfoRequestMsg (
 **/
 EFI_STATUS
 Dhcp6SendConfirmMsg (
-  IN DHCP6_INSTANCE            *Instance
+  IN DHCP6_INSTANCE  *Instance
   )
 {
-  UINT8                        *Cursor;
-  UINTN                        Index;
-  UINT16                       Length;
-  UINT32                       UserLen;
-  EFI_STATUS                   Status;
-  DHCP6_SERVICE                *Service;
-  EFI_DHCP6_DUID               *ClientId;
-  EFI_DHCP6_PACKET             *Packet;
-  EFI_DHCP6_PACKET_OPTION      *UserOpt;
-  UINT16                       *Elapsed;
+  UINT8                    *Cursor;
+  UINTN                    Index;
+  UINT16                   Length;
+  UINT32                   UserLen;
+  EFI_STATUS               Status;
+  DHCP6_SERVICE            *Service;
+  EFI_DHCP6_DUID           *ClientId;
+  EFI_DHCP6_PACKET         *Packet;
+  EFI_DHCP6_PACKET_OPTION  *UserOpt;
+  UINT16                   *Elapsed;
 
   ASSERT (Instance->Config != NULL);
   ASSERT (Instance->IaCb.Ia != NULL);
@@ -2013,7 +1988,7 @@ Dhcp6SendConfirmMsg (
   //
   // Determine the size/length of packet.
   //
-  Packet->Length += (UINT32) (Cursor - Packet->Dhcp6.Option);
+  Packet->Length += (UINT32)(Cursor - Packet->Dhcp6.Option);
   ASSERT (Packet->Size > Packet->Length + 8);
 
   //
@@ -2049,8 +2024,6 @@ Dhcp6SendConfirmMsg (
   return Dhcp6EnqueueRetry (Instance, Packet, Elapsed, NULL);
 }
 
-
-
 /**
   Handle with the Dhcp6 reply message.
 
@@ -2065,13 +2038,13 @@ Dhcp6SendConfirmMsg (
 **/
 EFI_STATUS
 Dhcp6HandleReplyMsg (
-  IN DHCP6_INSTANCE           *Instance,
-  IN EFI_DHCP6_PACKET         *Packet
+  IN DHCP6_INSTANCE    *Instance,
+  IN EFI_DHCP6_PACKET  *Packet
   )
 {
-  EFI_STATUS                  Status;
-  UINT8                       *Option;
-  UINT16                      StsCode;
+  EFI_STATUS  Status;
+  UINT8       *Option;
+  UINT16      StsCode;
 
   ASSERT (Instance->Config != NULL);
   ASSERT (Instance->IaCb.Ia != NULL);
@@ -2096,7 +2069,7 @@ Dhcp6HandleReplyMsg (
              Dhcp6OptRapidCommit
              );
 
-  if ((Option != NULL && !Instance->Config->RapidCommit) || (Option == NULL && Instance->Config->RapidCommit)) {
+  if (((Option != NULL) && !Instance->Config->RapidCommit) || ((Option == NULL) && Instance->Config->RapidCommit)) {
     return EFI_DEVICE_ERROR;
   }
 
@@ -2104,11 +2077,11 @@ Dhcp6HandleReplyMsg (
   // As to a valid reply packet in response to a request/renew/rebind packet,
   // ignore the packet if not contains the Ia option
   //
-  if (Instance->IaCb.Ia->State == Dhcp6Requesting ||
-      Instance->IaCb.Ia->State == Dhcp6Renewing ||
-      Instance->IaCb.Ia->State == Dhcp6Rebinding
-      ) {
-
+  if ((Instance->IaCb.Ia->State == Dhcp6Requesting) ||
+      (Instance->IaCb.Ia->State == Dhcp6Renewing) ||
+      (Instance->IaCb.Ia->State == Dhcp6Rebinding)
+      )
+  {
     Option = Dhcp6SeekIaOption (
                Packet->Dhcp6.Option,
                Packet->Length,
@@ -2133,10 +2106,9 @@ Dhcp6HandleReplyMsg (
   // the client considers the decline/release event completed regardless of the
   // status code.
   //
-  if (Instance->IaCb.Ia->State == Dhcp6Declining || Instance->IaCb.Ia->State == Dhcp6Releasing) {
-
+  if ((Instance->IaCb.Ia->State == Dhcp6Declining) || (Instance->IaCb.Ia->State == Dhcp6Releasing)) {
     if (Instance->IaCb.Ia->IaAddressCount != 0) {
-      Instance->IaCb.Ia->State       = Dhcp6Bound;
+      Instance->IaCb.Ia->State = Dhcp6Bound;
     } else {
       ASSERT (Instance->IaCb.Ia->ReplyPacket);
       FreePool (Instance->IaCb.Ia->ReplyPacket);
@@ -2159,7 +2131,7 @@ Dhcp6HandleReplyMsg (
     //
     // Reset start time for next exchange.
     //
-    Instance->StartTime       = 0;
+    Instance->StartTime = 0;
 
     Status = EFI_SUCCESS;
     goto ON_EXIT;
@@ -2186,7 +2158,7 @@ Dhcp6HandleReplyMsg (
       //
       // Reset start time for next exchange.
       //
-      Instance->StartTime       = 0;
+      Instance->StartTime = 0;
 
       //
       // Set bound state and store the reply packet.
@@ -2209,7 +2181,7 @@ Dhcp6HandleReplyMsg (
       //
       // For sync, set the success flag out of polling in start/renewrebind.
       //
-      Instance->UdpSts         = EFI_SUCCESS;
+      Instance->UdpSts = EFI_SUCCESS;
 
       //
       // Maybe this is a new round DHCP process due to some reason, such as NotOnLink
@@ -2235,70 +2207,72 @@ Dhcp6HandleReplyMsg (
     }
 
     goto ON_EXIT;
-
   } else if (Option != NULL) {
     //
     // Any error status code option is found.
     //
-    StsCode = NTOHS (ReadUnaligned16 ((UINT16 *) (Option + 4)));
+    StsCode = NTOHS (ReadUnaligned16 ((UINT16 *)(Option + 4)));
     switch (StsCode) {
-    case Dhcp6StsUnspecFail:
-      //
-      // It indicates the server is unable to process the message due to an
-      // unspecified failure condition, so just retry if possible.
-      //
-      break;
-
-    case Dhcp6StsUseMulticast:
-      //
-      // It indicates the server receives a message via unicast from a client
-      // to which the server has not sent a unicast option, so retry it by
-      // multi-cast address.
-      //
-      if (Instance->Unicast != NULL) {
-        FreePool (Instance->Unicast);
-        Instance->Unicast = NULL;
-      }
-      break;
-
-    case Dhcp6StsNotOnLink:
-      if (Instance->IaCb.Ia->State == Dhcp6Confirming) {
+      case Dhcp6StsUnspecFail:
         //
-        // Before initiate new round DHCP, cache the current IA.
+        // It indicates the server is unable to process the message due to an
+        // unspecified failure condition, so just retry if possible.
         //
-        Status = Dhcp6CacheIa (Instance);
-        if (EFI_ERROR (Status)) {
-          return  Status;
-        }
+        break;
 
+      case Dhcp6StsUseMulticast:
         //
-        // Restart S.A.R.R process to acquire new address.
+        // It indicates the server receives a message via unicast from a client
+        // to which the server has not sent a unicast option, so retry it by
+        // multi-cast address.
         //
-        Status = Dhcp6InitSolicitMsg (Instance);
-        if (EFI_ERROR (Status)) {
-          return Status;
+        if (Instance->Unicast != NULL) {
+          FreePool (Instance->Unicast);
+          Instance->Unicast = NULL;
         }
-      }
-      break;
 
-    case Dhcp6StsNoBinding:
-      if (Instance->IaCb.Ia->State == Dhcp6Renewing || Instance->IaCb.Ia->State == Dhcp6Rebinding) {
-        //
-        // Refer to RFC3315 Chapter 18.1.8, for each IA in the original Renew or Rebind message, the client
-        // sends a Request message if the IA contained a Status Code option with the NoBinding status.
-        //
-        Status = Dhcp6SendRequestMsg(Instance);
-        if (EFI_ERROR (Status)) {
-          return Status;
+        break;
+
+      case Dhcp6StsNotOnLink:
+        if (Instance->IaCb.Ia->State == Dhcp6Confirming) {
+          //
+          // Before initiate new round DHCP, cache the current IA.
+          //
+          Status = Dhcp6CacheIa (Instance);
+          if (EFI_ERROR (Status)) {
+            return Status;
+          }
+
+          //
+          // Restart S.A.R.R process to acquire new address.
+          //
+          Status = Dhcp6InitSolicitMsg (Instance);
+          if (EFI_ERROR (Status)) {
+            return Status;
+          }
         }
-      }
-      break;
 
-    default:
-      //
-      // The other status code, just restart solicitation.
-      //
-      break;
+        break;
+
+      case Dhcp6StsNoBinding:
+        if ((Instance->IaCb.Ia->State == Dhcp6Renewing) || (Instance->IaCb.Ia->State == Dhcp6Rebinding)) {
+          //
+          // Refer to RFC3315 Chapter 18.1.8, for each IA in the original Renew or Rebind message, the client
+          // sends a Request message if the IA contained a Status Code option with the NoBinding status.
+          //
+          Status = Dhcp6SendRequestMsg (Instance);
+          if (EFI_ERROR (Status)) {
+            return Status;
+          }
+        }
+
+        break;
+
+      default:
+        //
+        // The other status code, just restart solicitation.
+        //
+        break;
     }
   }
 
@@ -2306,7 +2280,7 @@ Dhcp6HandleReplyMsg (
 
 ON_EXIT:
 
-  if (!EFI_ERROR(Status)) {
+  if (!EFI_ERROR (Status)) {
     Status = Dhcp6DequeueRetry (
                Instance,
                Packet->Dhcp6.Header.TransactionId,
@@ -2317,7 +2291,6 @@ ON_EXIT:
   return Status;
 }
 
-
 /**
   Select the appointed Dhcp6 advertisement message.
 
@@ -2331,12 +2304,12 @@ ON_EXIT:
 **/
 EFI_STATUS
 Dhcp6SelectAdvertiseMsg (
-  IN DHCP6_INSTANCE           *Instance,
-  IN EFI_DHCP6_PACKET         *AdSelect
+  IN DHCP6_INSTANCE    *Instance,
+  IN EFI_DHCP6_PACKET  *AdSelect
   )
 {
-  EFI_STATUS                  Status;
-  UINT8                       *Option;
+  EFI_STATUS  Status;
+  UINT8       *Option;
 
   ASSERT (AdSelect != NULL);
 
@@ -2361,7 +2334,7 @@ Dhcp6SelectAdvertiseMsg (
              FALSE
              );
 
-  if (EFI_ERROR(Status)) {
+  if (EFI_ERROR (Status)) {
     return Status;
   }
 
@@ -2369,21 +2342,20 @@ Dhcp6SelectAdvertiseMsg (
   // Check whether there is server unicast option in the selected advertise
   // packet, and update it.
   //
-  Option = Dhcp6SeekOption(
+  Option = Dhcp6SeekOption (
              AdSelect->Dhcp6.Option,
              AdSelect->Length - 4,
              Dhcp6OptServerUnicast
              );
 
   if (Option != NULL) {
-
-    Instance->Unicast = AllocateZeroPool (sizeof(EFI_IPv6_ADDRESS));
+    Instance->Unicast = AllocateZeroPool (sizeof (EFI_IPv6_ADDRESS));
 
     if (Instance->Unicast == NULL) {
       return EFI_OUT_OF_RESOURCES;
     }
 
-    CopyMem (Instance->Unicast, Option + 4, sizeof(EFI_IPv6_ADDRESS));
+    CopyMem (Instance->Unicast, Option + 4, sizeof (EFI_IPv6_ADDRESS));
   }
 
   //
@@ -2401,7 +2373,6 @@ Dhcp6SelectAdvertiseMsg (
   return Dhcp6SendRequestMsg (Instance);
 }
 
-
 /**
   Handle with the Dhcp6 advertisement message.
 
@@ -2416,16 +2387,16 @@ Dhcp6SelectAdvertiseMsg (
 **/
 EFI_STATUS
 Dhcp6HandleAdvertiseMsg (
-  IN DHCP6_INSTANCE           *Instance,
-  IN EFI_DHCP6_PACKET         *Packet
+  IN DHCP6_INSTANCE    *Instance,
+  IN EFI_DHCP6_PACKET  *Packet
   )
 {
-  EFI_STATUS                  Status;
-  UINT8                       *Option;
-  BOOLEAN                     Timeout;
+  EFI_STATUS  Status;
+  UINT8       *Option;
+  BOOLEAN     Timeout;
 
-  ASSERT(Instance->Config);
-  ASSERT(Instance->IaCb.Ia);
+  ASSERT (Instance->Config);
+  ASSERT (Instance->IaCb.Ia);
 
   Timeout = FALSE;
 
@@ -2435,14 +2406,13 @@ Dhcp6HandleAdvertiseMsg (
   // this reply message. Or else, process the advertise messages as normal.
   // See details in the section-17.1.4 of rfc-3315.
   //
-  Option = Dhcp6SeekOption(
+  Option = Dhcp6SeekOption (
              Packet->Dhcp6.Option,
              Packet->Length - 4,
              Dhcp6OptRapidCommit
              );
 
-  if (Option != NULL && Instance->Config->RapidCommit && Packet->Dhcp6.Header.MessageType == Dhcp6MsgReply) {
-
+  if ((Option != NULL) && Instance->Config->RapidCommit && (Packet->Dhcp6.Header.MessageType == Dhcp6MsgReply)) {
     return Dhcp6HandleReplyMsg (Instance, Packet);
   }
 
@@ -2490,12 +2460,11 @@ Dhcp6HandleAdvertiseMsg (
     CopyMem (Instance->AdSelect, Packet, Packet->Size);
 
     Instance->AdPref = 0xff;
-
   } else if (Status == EFI_NOT_READY) {
     //
     // Not_ready means user wants to continue to receive more advertise packets.
     //
-    if (Instance->AdPref == 0xff && Instance->AdSelect == NULL) {
+    if ((Instance->AdPref == 0xff) && (Instance->AdSelect == NULL)) {
       //
       // It's a tricky point. The timer routine set adpref as 0xff if the first
       // rt timeout and no advertisement received, which means any advertisement
@@ -2508,13 +2477,13 @@ Dhcp6HandleAdvertiseMsg (
     // Check whether the current packet has a 255 preference option or not.
     // Take non-preference option as 0 value.
     //
-    Option = Dhcp6SeekOption(
+    Option = Dhcp6SeekOption (
                Packet->Dhcp6.Option,
                Packet->Length - 4,
                Dhcp6OptPreference
                );
 
-    if (Instance->AdSelect == NULL || (Option != NULL && *(Option + 4) > Instance->AdPref)) {
+    if ((Instance->AdSelect == NULL) || ((Option != NULL) && (*(Option + 4) > Instance->AdPref))) {
       //
       // No advertisements received before or preference is more than other
       // advertisements received before. Then store the new packet and the
@@ -2541,7 +2510,6 @@ Dhcp6HandleAdvertiseMsg (
       // preference is less than other advertisements received before.
       // Leave the packet alone.
     }
-
   } else {
     //
     // Other error status means termination.
@@ -2554,14 +2522,13 @@ Dhcp6HandleAdvertiseMsg (
   // RT has elapsed, or get a highest preference 255 advertise.
   // See details in the section-17.1.2 of rfc-3315.
   //
-  if (Instance->AdPref == 0xff || Timeout) {
+  if ((Instance->AdPref == 0xff) || Timeout) {
     Status = Dhcp6SelectAdvertiseMsg (Instance, Instance->AdSelect);
   }
 
   return Status;
 }
 
-
 /**
   The Dhcp6 stateful exchange process routine.
 
@@ -2571,14 +2538,14 @@ Dhcp6HandleAdvertiseMsg (
 **/
 VOID
 Dhcp6HandleStateful (
-  IN DHCP6_INSTANCE         *Instance,
-  IN EFI_DHCP6_PACKET       *Packet
+  IN DHCP6_INSTANCE    *Instance,
+  IN EFI_DHCP6_PACKET  *Packet
   )
 {
-  EFI_STATUS                Status;
-  EFI_DHCP6_DUID            *ClientId;
-  DHCP6_SERVICE             *Service;
-  UINT8                     *Option;
+  EFI_STATUS      Status;
+  EFI_DHCP6_DUID  *ClientId;
+  DHCP6_SERVICE   *Service;
+  UINT8           *Option;
 
   Service  = Instance->Service;
   ClientId = Service->ClientId;
@@ -2595,27 +2562,27 @@ Dhcp6HandleStateful (
   //
   // Discard the packet if not advertisement or reply packet.
   //
-  if (Packet->Dhcp6.Header.MessageType != Dhcp6MsgAdvertise && Packet->Dhcp6.Header.MessageType != Dhcp6MsgReply) {
+  if ((Packet->Dhcp6.Header.MessageType != Dhcp6MsgAdvertise) && (Packet->Dhcp6.Header.MessageType != Dhcp6MsgReply)) {
     goto ON_CONTINUE;
   }
 
   //
   // Check whether include client Id or not.
   //
-  Option = Dhcp6SeekOption(
+  Option = Dhcp6SeekOption (
              Packet->Dhcp6.Option,
              Packet->Length - 4,
              Dhcp6OptClientId
              );
 
-  if (Option == NULL || CompareMem (Option + 4, ClientId->Duid, ClientId->Length) != 0) {
+  if ((Option == NULL) || (CompareMem (Option + 4, ClientId->Duid, ClientId->Length) != 0)) {
     goto ON_CONTINUE;
   }
 
   //
   // Check whether include server Id or not.
   //
-  Option = Dhcp6SeekOption(
+  Option = Dhcp6SeekOption (
              Packet->Dhcp6.Option,
              Packet->Length - 4,
              Dhcp6OptServerId
@@ -2626,35 +2593,36 @@ Dhcp6HandleStateful (
   }
 
   switch (Instance->IaCb.Ia->State) {
-  case Dhcp6Selecting:
-    //
-    // Handle the advertisement message when in the Dhcp6Selecting state.
-    // Do not need check return status, if failed, just continue to the next.
-    //
-    Dhcp6HandleAdvertiseMsg (Instance, Packet);
-    break;
-
-  case Dhcp6Requesting:
-  case Dhcp6Confirming:
-  case Dhcp6Renewing:
-  case Dhcp6Rebinding:
-  case Dhcp6Releasing:
-  case Dhcp6Declining:
-    //
-    // Handle the reply message when in the Dhcp6Requesting,  Dhcp6Renewing
-    // Dhcp6Rebinding, Dhcp6Releasing and Dhcp6Declining state.
-    // If failed here, it should reset the current session.
-    //
-    Status = Dhcp6HandleReplyMsg (Instance, Packet);
-    if (EFI_ERROR (Status)) {
-      goto ON_EXIT;
-    }
-    break;
-  default:
-    //
-    // Other state has not supported yet.
-    //
-    break;
+    case Dhcp6Selecting:
+      //
+      // Handle the advertisement message when in the Dhcp6Selecting state.
+      // Do not need check return status, if failed, just continue to the next.
+      //
+      Dhcp6HandleAdvertiseMsg (Instance, Packet);
+      break;
+
+    case Dhcp6Requesting:
+    case Dhcp6Confirming:
+    case Dhcp6Renewing:
+    case Dhcp6Rebinding:
+    case Dhcp6Releasing:
+    case Dhcp6Declining:
+      //
+      // Handle the reply message when in the Dhcp6Requesting,  Dhcp6Renewing
+      // Dhcp6Rebinding, Dhcp6Releasing and Dhcp6Declining state.
+      // If failed here, it should reset the current session.
+      //
+      Status = Dhcp6HandleReplyMsg (Instance, Packet);
+      if (EFI_ERROR (Status)) {
+        goto ON_EXIT;
+      }
+
+      break;
+    default:
+      //
+      // Other state has not supported yet.
+      //
+      break;
   }
 
 ON_CONTINUE:
@@ -2673,7 +2641,6 @@ ON_EXIT:
   }
 }
 
-
 /**
   The Dhcp6 stateless exchange process routine.
 
@@ -2683,15 +2650,15 @@ ON_EXIT:
 **/
 VOID
 Dhcp6HandleStateless (
-  IN DHCP6_INSTANCE         *Instance,
-  IN EFI_DHCP6_PACKET       *Packet
+  IN DHCP6_INSTANCE    *Instance,
+  IN EFI_DHCP6_PACKET  *Packet
   )
 {
-  EFI_STATUS                Status;
-  DHCP6_SERVICE             *Service;
-  DHCP6_INF_CB              *InfCb;
-  UINT8                     *Option;
-  BOOLEAN                   IsMatched;
+  EFI_STATUS     Status;
+  DHCP6_SERVICE  *Service;
+  DHCP6_INF_CB   *InfCb;
+  UINT8          *Option;
+  BOOLEAN        IsMatched;
 
   Service   = Instance->Service;
   Status    = EFI_SUCCESS;
@@ -2776,7 +2743,6 @@ ON_EXIT:
   }
 }
 
-
 /**
   The receive callback function for Dhcp6 exchange process.
 
@@ -2789,37 +2755,37 @@ ON_EXIT:
 VOID
 EFIAPI
 Dhcp6ReceivePacket (
-  IN NET_BUF                *Udp6Wrap,
-  IN UDP_END_POINT          *EndPoint,
-  IN EFI_STATUS             IoStatus,
-  IN VOID                   *Context
+  IN NET_BUF        *Udp6Wrap,
+  IN UDP_END_POINT  *EndPoint,
+  IN EFI_STATUS     IoStatus,
+  IN VOID           *Context
   )
 {
-  EFI_DHCP6_HEADER          *Head;
-  EFI_DHCP6_PACKET          *Packet;
-  DHCP6_SERVICE             *Service;
-  DHCP6_INSTANCE            *Instance;
-  DHCP6_TX_CB               *TxCb;
-  UINT32                    Size;
-  BOOLEAN                   IsDispatched;
-  BOOLEAN                   IsStateless;
-  LIST_ENTRY                *Entry1;
-  LIST_ENTRY                *Next1;
-  LIST_ENTRY                *Entry2;
-  LIST_ENTRY                *Next2;
-  EFI_STATUS                Status;
+  EFI_DHCP6_HEADER  *Head;
+  EFI_DHCP6_PACKET  *Packet;
+  DHCP6_SERVICE     *Service;
+  DHCP6_INSTANCE    *Instance;
+  DHCP6_TX_CB       *TxCb;
+  UINT32            Size;
+  BOOLEAN           IsDispatched;
+  BOOLEAN           IsStateless;
+  LIST_ENTRY        *Entry1;
+  LIST_ENTRY        *Next1;
+  LIST_ENTRY        *Entry2;
+  LIST_ENTRY        *Next2;
+  EFI_STATUS        Status;
 
   ASSERT (Udp6Wrap != NULL);
   ASSERT (Context != NULL);
 
-  Service      = (DHCP6_SERVICE *) Context;
+  Service      = (DHCP6_SERVICE *)Context;
   Instance     = NULL;
   Packet       = NULL;
   IsDispatched = FALSE;
   IsStateless  = FALSE;
 
   if (EFI_ERROR (IoStatus)) {
-    return ;
+    return;
   }
 
   if (Udp6Wrap->TotalSize < sizeof (EFI_DHCP6_HEADER)) {
@@ -2830,7 +2796,7 @@ Dhcp6ReceivePacket (
   // Copy the net buffer received from upd6 to a Dhcp6 packet.
   //
   Size   = sizeof (EFI_DHCP6_PACKET) + Udp6Wrap->TotalSize;
-  Packet = (EFI_DHCP6_PACKET *) AllocateZeroPool (Size);
+  Packet = (EFI_DHCP6_PACKET *)AllocateZeroPool (Size);
 
   if (Packet == NULL) {
     goto ON_CONTINUE;
@@ -2838,7 +2804,7 @@ Dhcp6ReceivePacket (
 
   Packet->Size   = Size;
   Head           = &Packet->Dhcp6.Header;
-  Packet->Length = NetbufCopy (Udp6Wrap, 0, Udp6Wrap->TotalSize, (UINT8 *) Head);
+  Packet->Length = NetbufCopy (Udp6Wrap, 0, Udp6Wrap->TotalSize, (UINT8 *)Head);
 
   if (Packet->Length == 0) {
     goto ON_CONTINUE;
@@ -2848,11 +2814,9 @@ Dhcp6ReceivePacket (
   // Dispatch packet to right instance by transaction id.
   //
   NET_LIST_FOR_EACH_SAFE (Entry1, Next1, &Service->Child) {
-
     Instance = NET_LIST_USER_STRUCT (Entry1, DHCP6_INSTANCE, Link);
 
     NET_LIST_FOR_EACH_SAFE (Entry2, Next2, &Instance->TxList) {
-
       TxCb = NET_LIST_USER_STRUCT (Entry2, DHCP6_TX_CB, Link);
 
       if (Packet->Dhcp6.Header.TransactionId == TxCb->Xid) {
@@ -2863,7 +2827,8 @@ Dhcp6ReceivePacket (
         if (TxCb->TxPacket->Dhcp6.Header.MessageType == Dhcp6MsgInfoRequest) {
           IsStateless = TRUE;
         }
-        IsDispatched  = TRUE;
+
+        IsDispatched = TRUE;
         break;
       }
     }
@@ -2893,11 +2858,11 @@ ON_CONTINUE:
 
   if (!IsDispatched) {
     Status = UdpIoRecvDatagram (
-             Service->UdpIo,
-             Dhcp6ReceivePacket,
-             Service,
-             0
-             );
+               Service->UdpIo,
+               Dhcp6ReceivePacket,
+               Service,
+               0
+               );
     if (EFI_ERROR (Status)) {
       NET_LIST_FOR_EACH_SAFE (Entry1, Next1, &Service->Child) {
         Instance = NET_LIST_USER_STRUCT (Entry1, DHCP6_INSTANCE, Link);
@@ -2929,7 +2894,7 @@ ON_CONTINUE:
 **/
 BOOLEAN
 Dhcp6LinkMovDetect (
-  IN  DHCP6_INSTANCE            *Instance
+  IN  DHCP6_INSTANCE  *Instance
   )
 {
   UINT32                       InterruptStatus;
@@ -2938,7 +2903,7 @@ Dhcp6LinkMovDetect (
   EFI_SIMPLE_NETWORK_PROTOCOL  *Snp;
 
   ASSERT (Instance != NULL);
-  Snp = Instance->Service->Snp;
+  Snp          = Instance->Service->Snp;
   MediaPresent = Instance->MediaPresent;
 
   //
@@ -2963,10 +2928,10 @@ Dhcp6LinkMovDetect (
   if (!MediaPresent && Instance->MediaPresent) {
     return TRUE;
   }
+
   return FALSE;
 }
 
-
 /**
   The timer routine of the Dhcp6 instance for each second.
 
@@ -2977,28 +2942,27 @@ Dhcp6LinkMovDetect (
 VOID
 EFIAPI
 Dhcp6OnTimerTick (
-  IN EFI_EVENT              Event,
-  IN VOID                   *Context
+  IN EFI_EVENT  Event,
+  IN VOID       *Context
   )
 {
-  LIST_ENTRY                *Entry;
-  LIST_ENTRY                *NextEntry;
-  DHCP6_INSTANCE            *Instance;
-  DHCP6_TX_CB               *TxCb;
-  DHCP6_IA_CB               *IaCb;
-  UINT32                    LossTime;
-  EFI_STATUS                Status;
+  LIST_ENTRY      *Entry;
+  LIST_ENTRY      *NextEntry;
+  DHCP6_INSTANCE  *Instance;
+  DHCP6_TX_CB     *TxCb;
+  DHCP6_IA_CB     *IaCb;
+  UINT32          LossTime;
+  EFI_STATUS      Status;
 
   ASSERT (Context != NULL);
 
-  Instance = (DHCP6_INSTANCE *) Context;
+  Instance = (DHCP6_INSTANCE *)Context;
 
   //
   // 1. Loop the tx list, count live time of every tx packet to check whether
   //    need re-transmit or not.
   //
   NET_LIST_FOR_EACH_SAFE (Entry, NextEntry, &Instance->TxList) {
-
     TxCb = NET_LIST_USER_STRUCT (Entry, DHCP6_TX_CB, Link);
 
     TxCb->TickTime++;
@@ -3007,7 +2971,7 @@ Dhcp6OnTimerTick (
       //
       // Handle the first rt in the transmission of solicit specially.
       //
-      if ((TxCb->RetryCnt == 0 || TxCb->SolicitRetry) && TxCb->TxPacket->Dhcp6.Header.MessageType == Dhcp6MsgSolicit) {
+      if (((TxCb->RetryCnt == 0) || TxCb->SolicitRetry) && (TxCb->TxPacket->Dhcp6.Header.MessageType == Dhcp6MsgSolicit)) {
         if (Instance->AdSelect == NULL) {
           //
           // Set adpref as 0xff here to indicate select any advertisement
@@ -3024,9 +2988,11 @@ Dhcp6OnTimerTick (
           } else if (EFI_ERROR (Status)) {
             TxCb->RetryCnt++;
           }
+
           return;
         }
       }
+
       //
       // Increase the retry count for the packet and add up the total loss time.
       //
@@ -3036,7 +3002,7 @@ Dhcp6OnTimerTick (
       //
       // Check whether overflow the max retry count limit for this packet
       //
-      if (TxCb->RetryCtl.Mrc != 0 && TxCb->RetryCtl.Mrc < TxCb->RetryCnt) {
+      if ((TxCb->RetryCtl.Mrc != 0) && (TxCb->RetryCtl.Mrc < TxCb->RetryCnt)) {
         Status = EFI_NO_RESPONSE;
         goto ON_CLOSE;
       }
@@ -3044,7 +3010,7 @@ Dhcp6OnTimerTick (
       //
       // Check whether overflow the max retry duration for this packet
       //
-      if (TxCb->RetryCtl.Mrd != 0 && TxCb->RetryCtl.Mrd <= TxCb->RetryLos) {
+      if ((TxCb->RetryCtl.Mrd != 0) && (TxCb->RetryCtl.Mrd <= TxCb->RetryLos)) {
         Status = EFI_NO_RESPONSE;
         goto ON_CLOSE;
       }
